%  taytwo1.m
% Matlab file for Part 1 of the Taylor Polynomials II
% module

disp('********************************************')
disp('Part 1:  Geometric Polynomials ')
disp('********************************************')
disp('  ')    

    format short

    disp('Step 1: ')
    disp('In MATLAB, to get the n-th Taylor polynomial')
    disp('for a function f(x), we first make x a ')
    disp('symbolic variable, then define the symbolic ')
    disp('f in terms of x.')
    disp(' ')
    disp('The Taylor polynomial with n terms is the ')
    disp('symbolic expression T = taylor(t,n).  This is ')  
    disp('the (n-1)-st degree Taylor polynomial.')
    disp('The polynomial can be shown in a nice format ')
    disp('by using the command ''''pretty''''. ')
    disp(' ')
    disp('Copy the following commands as a group, ')
    disp('paste at a MATLAB prompt, and enter them. ')
    disp(' ')
    disp(' syms x     ')
    disp(' f=1/(1-x)  ')
    disp(' P4 = taylor(f,5) ')
    disp(' pretty(P4) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 1 (cont.)')
    disp('We just found P4(x), the 4-th degree Taylor ')
    disp('polynomial, which has 5 terms.  Now, you ')
    disp('generate the rest of the desired Taylor ')
    disp('Call them P0, P1, P2, and P3. ')
    disp('   (Note that you don''t have to define x ')
    disp('    or f again.) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 2:')
    disp('Guess the form for the n-th degree Taylor')
    disp('polynomial.  Give your answer as MATLAB')
    disp('comments in your diary file. ')
    disp(' ')
    disp('Check that you are correct by calculating ')
    disp('P5(x) and P6(x). ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Step 3:')
    disp('MATLAB can''t generate the general sum of')
    disp('powers of x for a general n, but here is')
    disp('how you could get the sum of the first, say,')
    disp('20 powers of x.')
    disp(' ')
    disp('Enter the following commands to sum up')
    disp('the first 20 powers of x symbolically.')
    disp(' ')
    disp('   syms x ')
    disp('   S=sum( x.^[0:20] )    ')
    disp(' ')
    disp('-------------------------------------------')
    disp('Show the derivation of the formula in step 3.')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp(' ')
    disp('When you are finished with part 1, to go on to')
    disp('part 2 of this module, type: taytwo2.')
    disp(' ')
