%  taytwo2.m
% Matlab file for Part 2 of the Taylor Polynomials II
% module

disp('********************************************')
disp('Part 2:  Convergence and Divergence ')
disp('********************************************')
disp(' ')    

    format short

    disp('Step 1: ')
    disp('Answer the question using MATLAB comments')
    disp('in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 2: ')
    disp('In MATLAB, we can substitute a number like 3.1')
    disp('into a symbolic expression like P4 by using the')
    disp('command: subs(P4,x,3.1).  If xv is a vector ')
    disp('of x values, y=subs(P4,x,xv) produces a vector')
    disp('of y values.  We use this below in plotting. ')
    disp(' ')
    disp('We will plot f(x)=1/(1-x) in blue together with')
    disp('the approximating polynomial P4(x) as a dotted')
    disp('red curve.  We assume f and P4 are still ')
    disp('defined from Part 1 of this module.')
    disp(' ')
    disp('Copy the following commands as a group, ')
    disp('paste at a MATLAB prompt, and enter them. ')
    disp(' ')
    disp(' clf  %clears figure ')
    disp(' xv=-2:0.05:2;   ')
    disp(' yf=subs(f,x,xv);  ')
    disp(' plot(xv,yf,''b''); hold on ')
    disp(' yP4=subs(P4,x,xv); ')
    disp(' plot(xv,yP4,''r-.'') ')
    disp(' axis([-2 2 -10 10]) ')
    disp(' legend(''f(x)'',''Taylor'') ')
    disp(' title(''Taylor approximation vs. Actual function'') ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 2 (cont.)')
    disp('We just made a comparison plot of f(x) with ')
    disp('its Taylor approximation of degree 4.  Add the')
    disp('polynomials P0, P1, P2, P3, and P5 to the')
    disp('plot. ')
    disp(' ')
    disp('For what values of x do the polynomials seem  ')
    disp('be approximating f(x)? ')
    disp('Answer using MATLAB comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 3:')
    disp('Since we know that P20(x) can be written in')
    disp('the equvalent form (1-x^21)/(1-x), we can ')
    disp('easily compare f(x) to P20(x). ')
    disp(' ')
    disp('Copy the following commands as a group, ')
    disp('paste at a MATLAB prompt, and enter them. ')
    disp(' ')
    disp(' clf  %clears figure ')
    disp(' xv=-2:0.05:2;   ')
    disp(' yf=subs(f,x,xv);  ')
    disp(' plot(xv,yf,''b''); hold on ')
    disp(' P20=(1-x^21)/(1-x); ')
    disp(' yP20=subs(P20,x,xv); ')
    disp(' plot(xv,yP20,''r-.'') ')
    disp(' axis([-2 2 -10 10]) ')
    disp(' legend(''f(x)'',''Taylor'') ')
    disp(' title(''Taylor approximation vs. Actual function'') ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 3 (cont.) ')
    disp('Plot f(x) together with its Taylor polynomials')
    disp('of degrees 20, 50, and 100.  Also use some ')
    disp('nearby odd values of n like 19, 49, and 99. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('Use these calculations to confirm or modify ')
    disp('your answer in step 2.  Use MATLAB comments ')
    disp('in your diary file for your discussion.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('--------------------------------------------')
    disp('Steps 4 and 5:')
    disp('Give your answers to the questions in steps')
    disp('4 and 5 as MATLAB comments in your diary file.')
    disp(' ')
    disp(' ')
    disp('When you are finished with part 2, to go on to')
    disp('part 3 of this module, type: taytwo3.')
    disp(' ')
