%  taytwo5.m
% Matlab file for Part 5 of the Taylor Polynomials II
% module

disp('***********************************************')
disp('Part 5:  Polynomial Approximations to arctan(x) ')
disp('***********************************************')
disp(' ')    

    format short

    disp('Step 1: ')
    disp('Answer the question using MATLAB comments')
    disp('in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 2: ')
    disp('Using algegraic manipulations, find the ')
    disp('approximating polynomial for 1/(1+t^2).')
    disp(' ')
    disp('------------------------------------------ ')
    disp('Answer the question about the interval of ')
    disp('convergence using MATLAB comments in your')
    disp('diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 3: ')
    disp('By hand, integrate the result of step 2 to')
    disp('find the approximating polynomial for ')
    disp('the function f(x)=arctan(x). ')
    disp(' ')
    disp('------------------------------------------ ')
    disp('Give your result by  using MATLAB comments')
    disp('in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('-----------------------------------------')
    disp('Step 3 (cont.): ')
    disp('Check out the Taylor polynomials for  ')
    disp('f(x)=arctan(x) by entering the following ')
    disp('commands. (Note that arctan is atan in MATLAB.)')
    disp(' ')
    disp(' syms x ')
    disp(' f=atan(x) ')
    disp(' P3=taylor(f,4)')
    disp(' pretty(P3) ')
    disp(' P5=taylor(f,6)')
    disp(' pretty(P5) ')
    disp(' ')
    disp('-------------------------------------------- ')
    disp(' ')
    disp('Calculate a few high degree Taylor polynomials ')
    disp('so you can see the pattern of the coefficients. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 3:')
    disp('Enter the following commands to plot arctan(x) ')
    disp('and P5(x) together in figure 1 and also plot ')
    disp('the error arctan(x) - P4(x) in figure 2.')
    disp(' ')
    disp(' figure(1); clf ')
    disp(' xv=-2:0.05:2;   ')
    disp(' yf=subs(f,x,xv);  ')
    disp(' plot(xv,yf,''b''); hold on ')
    disp(' yP5=subs(P5,x,xv); ')
    disp(' plot(xv,yP5,''r-.'') ')
    disp(' axis([-2 2 -2 2]) ')
    disp(' legend(''arctan(x)'',''Taylor'') ')
    disp(' title(''Taylor approximation vs. arctan(x)'') ')
    disp(' figure(2); clf ')
    disp(' plot(xv,yf-yP5,''b''); hold on ')
    disp(' title(''Error in Taylor approximation'') ')
    disp(' ')
    disp('------------------------------------------------ ')
    disp('Describe how well P5(x) approximates arctan(x).')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('Step 4 (cont.): ')
    disp('Make comparison plots of arctan(x) with Taylor ')
    disp('approximations P1 and P3 along with the')
    disp('error plot for each.')
    disp(' ')
    disp('---------------------------------------------- ')
    disp('Describe how well each Pn(x) approximates arctan(x).')
    disp('Use MATLAB comments in your diary file. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    
    disp('--------------------------------------------')
    disp('Step 5:')
    disp('Repeat step 3 using P10, P20, and P40. ')
    disp(' ')
    disp('--------------------------------------------')
    disp('Then answer the questions in step 5 as MATLAB ')
    disp('comments in your diary file.')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')
    disp(' ')
    disp('When you are finished with part 5, to go on to')
    disp('part 6 of this module, type: taytwo6.')
    disp(' ')
